
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using APT.Infrastructure.Core;

namespace APT.MS.Domain.Entities.HM
{
    /// <summary>
    /// 风险记录明细表相关设备
    /// </summary>
    [Description("风险记录明细表相关设备")]
    public class T_HM_RISK_RECORD_DETAIL_EQUIPMENT : MesEntityBase
    {
        /// <summary>
        /// 风险记录明细表ID
        /// </summary>
        [Description("风险记录明细表ID")]
        [DataFieldForeignKey("Nav_RiskRecordDetail", "Nav_EvaluateRiskRecordEquipment")]

        public Guid RISK_RECORD_DETAIL_ID { get; set; }

        /// <summary>
        /// 相关设备ID
        /// </summary>
        [Description("相关设备ID")]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_Equipment")]
        public Guid EQUIPMENT_ID { get; set; }

        /// <summary>
        /// 导航属性：风险记录明细表
        /// </summary>
        [Description("导航属性：风险记录明细表")]
        public T_HM_RISK_RECORD_DETAIL Nav_RiskRecordDetail { get; set; }

        /// <summary>
        /// 导航属性：相关设备
        /// </summary>
        [Description("导航属性：相关设备")]
        public T_HM_EQUIPMENT Nav_Equipment { get; set; }
    }
}
